Bug 172493 - [css-grid] Ignore collapsed tracks on content-distribution alignment
Summary: [css-grid] Ignore collapsed tracks on content-distribution alignment
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords: BlinkMergeCandidate, InRadar
Depends on: 172494
Blocks: 60731
  Show dependency treegraph
 
Reported: 2017-05-23 01:34 PDT by Manuel Rego Casasnovas
Modified: 2017-05-30 20:24 PDT (History)
7 users (show)

See Also:


Attachments
Patch (8.69 KB, patch)
2017-05-23 15:08 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2017-05-23 01:34:47 PDT
The spec has been recently updated as you can see in the following discussion:
https://github.com/w3c/csswg-drafts/issues/1140

The main issue here is that we shouldn't take into account the collapsed tracks for gutters when we do the Content Distribution.

This has been already fixed in Blink:
https://codereview.chromium.org/2825133003
Comment 1 Javier Fernandez 2017-05-23 15:08:01 PDT
Created attachment 311060 [details]
Patch
Comment 2 WebKit Commit Bot 2017-05-24 01:35:05 PDT
Comment on attachment 311060 [details]
Patch

Clearing flags on attachment: 311060

Committed r217345: <http://trac.webkit.org/changeset/217345>
Comment 3 WebKit Commit Bot 2017-05-24 01:35:07 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2017-05-30 20:24:20 PDT
<rdar://problem/32479781>